<template>
  <div>
    <h1 class="mb-8">Since your hair loss started, have you experienced any of the following on your scalp?</h1>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        @input="handleCheckboxInput"
        :value="checkboxSelected"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!checkboxSelected.length"
      @click="nextStage"
    />
  </div>
</template>

<script>
import {answersMixin, checkboxMixin, referMixin} from "@/utils/mixins";
import {constants} from "@/constants";

export default {
  mixins: [answersMixin, checkboxMixin, referMixin],
  name: "YourHealth5",
  data() {
    return {
      choices: [
        'Redness',
        'Scaling/flaking',
        'Scarring (scars)',
        'Itching',
        'Burning sensation',
        'Tender to touch',
        constants.NONE_CHOICE
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_5')
      }
    }
  },
  methods: {
    methods: {
      handleClick() {
        if (this.checkboxSelected.includes('Scarring (scars)')) {
          this.setRefer('We’ve hit a minor road bump.', 'It looks like the women’s personalized prescription solution isn’t compatible with your needs.\n\nYour specific symptoms indicate you may be suffering from another health issue that will not respond to this type of treatment. Contact your primary care physician to discuss other treatment options.\n\nHowever, you may benefit from a different formula:')
        } else if (this.checkboxSelected.includes('Itching') || this.checkboxSelected.includes('Tender to touch')) {
          this.setRefer('We’ve hit a minor road bump.', 'It looks like the women’s personalized prescription solution isn’t compatible with your needs.\n\nYour specific symptoms indicate you may be suffering from another health issue that will not respond to this type of treatment. Contact your primary care physician to discuss other treatment options.\n\nHowever, you may benefit from a different formula:')
        }

        if (this.refer) return

        this.$emit('nextStage')
      }
    }
  }
}
</script>

<style scoped>

</style>
